Support » Plugin: Terms of Use » PHP 7.1+ Compatibility

  • Has anyone successfully modified this plugin to work with PHP 7.1 or higher?

    I got past the constructor errors by changing the 3rd line in each of the following two PHP files.
    TouAppController.php
    <?php
    class TouAppController{
    function __construct(){

    TouSettingsController.php
    <?php
    class TouSettingsController{
    function __construct(){

    There are lots of run time issues like the following, however:

    Warning: Illegal string offset ‘terms’ in TouAppController.php on line 122
    Warning: Cannot assign an empty string to a string offset in TouAppController.php on line 122

    So far, I haven’t got the syntax correct to fix these yet. Any assistance would be greatly appreciated.

    If anyone took the route of using something other than this plugin, please share what you did.

    Thanks!

  • You must be logged in to reply to this topic.